package com.njzscloud.supervisory.device.drive.voicebox.generic;

import cn.hutool.core.map.MapUtil;
import com.njzscloud.common.mqtt.util.Mqtt;
import com.njzscloud.supervisory.device.drive.voicebox.Voicebox;

public class GenericVoicebox extends Voicebox {
    public GenericVoicebox(String sn) {
        super(sn);
    }

    @Override
    public void play(String content) {
        Mqtt.publish("zsy/1/voice", MapUtil.builder()
                .put("deviceNo", getSn())
                .put("text", content)
                .build());
    }
}
